﻿using Microsoft.EntityFrameworkCore;
using PokemonSleepAPI.Models;

namespace PokemonSleepAPI.Data
{
    public class PokemonDbContext : DbContext
    {
        public PokemonDbContext(DbContextOptions<PokemonDbContext> options) : base(options)
        {
        }        
        
        public DbSet<Pokemon> Pokemons { get; set; }
        public DbSet<PokemonNature> PokemonNatures { get; set; }
        public DbSet<PokemonSubskill> PokemonSubskills { get; set; }

        protected override void OnModelCreating(ModelBuilder modelBuilder)
        {
            base.OnModelCreating(modelBuilder);

            //Pokemon
            modelBuilder.Entity<Pokemon>().HasData(new Pokemon
            {
                Id = 1,
                Name = "Bulbasaur",
                SleepType = "Dozing",
                Speciality = "Ingredients"

			});
            modelBuilder.Entity<Pokemon>().HasData(new Pokemon
            {
                Id = 2,
                Name = "Ivysaur",
                SleepType = "Dozing",
                Speciality = "Ingredients"

            });
            modelBuilder.Entity<Pokemon>().HasData(new Pokemon
            {
                Id = 3,
                Name = "Venasaur",
                SleepType = "Dozing",
                Speciality = "Ingredients"

            });
            modelBuilder.Entity<Pokemon>().HasData(new Pokemon
            {
                Id = 4,
                Name = "Charmander",
                SleepType = "Snoozing",
                Speciality = "Ingredients"

            });
            modelBuilder.Entity<Pokemon>().HasData(new Pokemon
            {
                Id = 5,
                Name = "Charmeleon",
                SleepType = "Snoozing",
                Speciality = "Ingredients"

            });
            modelBuilder.Entity<Pokemon>().HasData(new Pokemon
            {
                Id = 6,
                Name = "Charizard",
                SleepType = "Snoozing",
                Speciality = "Ingredients"

            });
            modelBuilder.Entity<Pokemon>().HasData(new Pokemon
            {
                Id = 7,
                Name = "Squirtle",
                SleepType = "Slumbering",
                Speciality = "Ingredients"

            });
            modelBuilder.Entity<Pokemon>().HasData(new Pokemon
            {
                Id = 8,
                Name = "Wartortle",
                SleepType = "Slumbering",
                Speciality = "Ingredients"

            });
            modelBuilder.Entity<Pokemon>().HasData(new Pokemon
            {
                Id = 9,
                Name = "Blastoise",
                SleepType = "Slumbering",
                Speciality = "Ingredients"

            });
            modelBuilder.Entity<Pokemon>().HasData(new Pokemon
            {
                Id = 10,
                Name = "Caterpie",
                SleepType = "Dozing",
                Speciality = "Berries"

            });
            modelBuilder.Entity<Pokemon>().HasData(new Pokemon
            {
                Id = 11,
                Name = "Metapod",
                SleepType = "Dozing",
                Speciality = "Berries"

            });
            modelBuilder.Entity<Pokemon>().HasData(new Pokemon
            {
                Id = 12,
                Name = "Butterfree",
                SleepType = "Dozing",
                Speciality = "Berries"

            });
            modelBuilder.Entity<Pokemon>().HasData(new Pokemon
            {
                Id = 19,
                Name = "Rattata",
                SleepType = "Snoozing",
                Speciality = "Berries"

            });
            modelBuilder.Entity<Pokemon>().HasData(new Pokemon
            {
                Id = 20,
                Name = "Raticate",
                SleepType = "Snoozing",
                Speciality = "Berries"

            });
            modelBuilder.Entity<Pokemon>().HasData(new Pokemon
            {
                Id = 23,
                Name = "Ekans",
                SleepType = "Dozing",
                Speciality = "Berries"

            });
            modelBuilder.Entity<Pokemon>().HasData(new Pokemon
            {
                Id = 24,
                Name = "Arbok",
                SleepType = "Dozing",
                Speciality = "Berries"

            });
            modelBuilder.Entity<Pokemon>().HasData(new Pokemon
            {
                Id = 25,
                Name = "Pikachu",
                SleepType = "Snoozing",
                Speciality = "Berries"

            });
            modelBuilder.Entity<Pokemon>().HasData(new Pokemon
            {
                Id = 26,
                Name = "Raticate",
                SleepType = "Snoozing",
                Speciality = "Berries"

            });
            modelBuilder.Entity<Pokemon>().HasData(new Pokemon
            {
                Id = 35,
                Name = "Clefairy",
                SleepType = "Snoozing",
                Speciality = "Berries"

            });
            modelBuilder.Entity<Pokemon>().HasData(new Pokemon
            {
                Id = 36,
                Name = "Clefable",
                SleepType = "Snoozing",
                Speciality = "Berries"

            });
            modelBuilder.Entity<Pokemon>().HasData(new Pokemon
            {
                Id = 37,
                Name = "Vulpix",
                SleepType = "Snoozing",
                Speciality = "Berries"

            });
            modelBuilder.Entity<Pokemon>().HasData(new Pokemon
            {
                Id = 38,
                Name = "Ninetails",
                SleepType = "Snoozing",
                Speciality = "Berries"

            });
            modelBuilder.Entity<Pokemon>().HasData(new Pokemon
            {
                Id = 39,
                Name = "Jigglypuff",
                SleepType = "Snoozing",
                Speciality = "Skills"

            });
            modelBuilder.Entity<Pokemon>().HasData(new Pokemon
            {
                Id = 40,
                Name = "Wigglytuff",
                SleepType = "Snoozing",
                Speciality = "Skills"

            });
            modelBuilder.Entity<Pokemon>().HasData(new Pokemon
            {
                Id = 50,
                Name = "Diglett",
                SleepType = "Snoozing",
                Speciality = "Ingredients"

            });
            modelBuilder.Entity<Pokemon>().HasData(new Pokemon
            {
                Id = 51,
                Name = "Dugtrio",
                SleepType = "Snoozing",
                Speciality = "Ingredients"

            });
            modelBuilder.Entity<Pokemon>().HasData(new Pokemon
            {
                Id = 52,
                Name = "Meowth",
                SleepType = "Snoozing",
                Speciality = "Skills"

            });
            modelBuilder.Entity<Pokemon>().HasData(new Pokemon
            {
                Id = 53,
                Name = "Persian",
                SleepType = "Snoozing",
                Speciality = "Skills"

            });
            modelBuilder.Entity<Pokemon>().HasData(new Pokemon
            {
                Id = 54,
                Name = "Psyduck",
                SleepType = "Dozing",
                Speciality = "Skills"

            });
            modelBuilder.Entity<Pokemon>().HasData(new Pokemon
            {
                Id = 55,
                Name = "Golduck",
                SleepType = "Slumbering",
                Speciality = "Skills"

            });
            modelBuilder.Entity<Pokemon>().HasData(new Pokemon
            {
                Id = 56,
                Name = "Mankey",
                SleepType = "Dozing",
                Speciality = "Berries"

            });
            modelBuilder.Entity<Pokemon>().HasData(new Pokemon
            {
                Id = 57,
                Name = "Primeape",
                SleepType = "Dozing",
                Speciality = "Berries"

            });
            modelBuilder.Entity<Pokemon>().HasData(new Pokemon
            {
                Id = 58,
                Name = "Growlithe",
                SleepType = "Snoozing",
                Speciality = "Skills"

            });
            modelBuilder.Entity<Pokemon>().HasData(new Pokemon
            {
                Id = 59,
                Name = "Arcanine",
                SleepType = "Snoozing",
                Speciality = "Skills"

            });
            modelBuilder.Entity<Pokemon>().HasData(new Pokemon
            {
                Id = 69,
                Name = "Bellsprout",
                SleepType = "Dozing",
                Speciality = "Ingredients"

            });
            modelBuilder.Entity<Pokemon>().HasData(new Pokemon
            {
                Id = 70,
                Name = "Weepinbell",
                SleepType = "Dozing",
                Speciality = "Ingredients"

            });
            modelBuilder.Entity<Pokemon>().HasData(new Pokemon
            {
                Id = 71,
                Name = "Victreebel",
                SleepType = "Dozing",
                Speciality = "Ingredients"

            });
            modelBuilder.Entity<Pokemon>().HasData(new Pokemon
            {
                Id = 74,
                Name = "Geodude",
                SleepType = "Slumbering",
                Speciality = "Ingredients"

            });
            modelBuilder.Entity<Pokemon>().HasData(new Pokemon
            {
                Id = 75,
                Name = "Graveler",
                SleepType = "Slumbering",
                Speciality = "Ingredients"

            });
            modelBuilder.Entity<Pokemon>().HasData(new Pokemon
            {
                Id = 76,
                Name = "Golem",
                SleepType = "Slumbering",
                Speciality = "Ingredients"

            });
            modelBuilder.Entity<Pokemon>().HasData(new Pokemon
            {
                Id = 79,
                Name = "Slowpoke",
                SleepType = "Snoozing",
                Speciality = "Skills"

            });
            modelBuilder.Entity<Pokemon>().HasData(new Pokemon
            {
                Id = 80,
                Name = "Slowbro",
                SleepType = "Snoozing",
                Speciality = "Skills"

            });
            modelBuilder.Entity<Pokemon>().HasData(new Pokemon
            {
                Id = 81,
                Name = "Magnemite",
                SleepType = "Slumbering",
                Speciality = "Skills"

            });
            modelBuilder.Entity<Pokemon>().HasData(new Pokemon
            {
                Id = 82,
                Name = "Magneton",
                SleepType = "Slumbering",
                Speciality = "Skills"

            });
            modelBuilder.Entity<Pokemon>().HasData(new Pokemon
            {
                Id = 84,
                Name = "Doduo",
                SleepType = "Slumbering",
                Speciality = "Berries"

            });
            modelBuilder.Entity<Pokemon>().HasData(new Pokemon
            {
                Id = 85,
                Name = "Dodrio",
                SleepType = "Slumbering",
                Speciality = "Berries"

            });
            modelBuilder.Entity<Pokemon>().HasData(new Pokemon
            {
                Id = 92,
                Name = "Gastly",
                SleepType = "Dozing",
                Speciality = "Ingredients"

            });
            modelBuilder.Entity<Pokemon>().HasData(new Pokemon
            {
                Id = 93,
                Name = "Haunter",
                SleepType = "Dozing",
                Speciality = "Ingredients"

            });
            modelBuilder.Entity<Pokemon>().HasData(new Pokemon
            {
                Id = 94,
                Name = "Gengar",
                SleepType = "Dozing",
                Speciality = "Ingredients"

            });
            modelBuilder.Entity<Pokemon>().HasData(new Pokemon
            {
                Id = 95,
                Name = "Onix",
                SleepType = "Slumbering",
                Speciality = "Berries"

            });
            modelBuilder.Entity<Pokemon>().HasData(new Pokemon
            {
                Id = 104,
                Name = "Cubone",
                SleepType = "Slumbering",
                Speciality = "Berries"

            });
            modelBuilder.Entity<Pokemon>().HasData(new Pokemon
            {
                Id = 105,
                Name = "Marowak",
                SleepType = "Slumbering",
                Speciality = "Berries"

            });
            modelBuilder.Entity<Pokemon>().HasData(new Pokemon
            {
                Id = 122,
                Name = "Mr. Mime",
                SleepType = "Snoozing",
                Speciality = "Ingredients"

            });
            modelBuilder.Entity<Pokemon>().HasData(new Pokemon
            {
                Id = 127,
                Name = "Pinsir",
                SleepType = "Dozing",
                Speciality = "Ingredients"

            });
            modelBuilder.Entity<Pokemon>().HasData(new Pokemon
            {
                Id = 132,
                Name = "Ditto",
                SleepType = "Snoozing",
                Speciality = "Ingredients"

            });
            modelBuilder.Entity<Pokemon>().HasData(new Pokemon
            {
                Id = 133,
                Name = "Eevee",
                SleepType = "Snoozing",
                Speciality = "Skills"

            });
            modelBuilder.Entity<Pokemon>().HasData(new Pokemon
            {
                Id = 134,
                Name = "Vaporeon",
                SleepType = "Slumbering",
                Speciality = "Skills"

            });
            modelBuilder.Entity<Pokemon>().HasData(new Pokemon
            {
                Id = 135,
                Name = "Jolteon",
                SleepType = "Snoozing",
                Speciality = "Skills"

            });
            modelBuilder.Entity<Pokemon>().HasData(new Pokemon
            {
                Id = 136,
                Name = "Flareon",
                SleepType = "Snoozing",
                Speciality = "Skills"

            });
            modelBuilder.Entity<Pokemon>().HasData(new Pokemon
            {
                Id = 147,
                Name = "Dratini",
                SleepType = "Dozing",
                Speciality = "Ingredients"

            });
            modelBuilder.Entity<Pokemon>().HasData(new Pokemon
            {
                Id = 148,
                Name = "Dragonair",
                SleepType = "Dozing",
                Speciality = "Ingredients"

            });
            modelBuilder.Entity<Pokemon>().HasData(new Pokemon
            {
                Id = 149,
                Name = "Dragonite",
                SleepType = "Dozing",
                Speciality = "Ingredients"

            });
            modelBuilder.Entity<Pokemon>().HasData(new Pokemon
            {
                Id = 152,
                Name = "Chikorita",
                SleepType = "Dozing",
                Speciality = "Berries"

            });
            modelBuilder.Entity<Pokemon>().HasData(new Pokemon
            {
                Id = 153,
                Name = "Bayleaf",
                SleepType = "Dozing",
                Speciality = "Berries"

            });
            modelBuilder.Entity<Pokemon>().HasData(new Pokemon
            {
                Id = 154,
                Name = "Meganium",
                SleepType = "Dozing",
                Speciality = "Berries"

            });
            modelBuilder.Entity<Pokemon>().HasData(new Pokemon
            {
                Id = 155,
                Name = "Cyndaquil",
                SleepType = "Snoozing",
                Speciality = "Berries"

            });
            modelBuilder.Entity<Pokemon>().HasData(new Pokemon
            {
                Id = 156,
                Name = "Quilava",
                SleepType = "Snoozing",
                Speciality = "Berries"

            });
            modelBuilder.Entity<Pokemon>().HasData(new Pokemon
            {
                Id = 157,
                Name = "Typhlosion",
                SleepType = "Snoozing",
                Speciality = "Berries"

            });
            modelBuilder.Entity<Pokemon>().HasData(new Pokemon
            {
                Id = 158,
                Name = "Totodile",
                SleepType = "Slumbering",
                Speciality = "Berries"

            });
            modelBuilder.Entity<Pokemon>().HasData(new Pokemon
            {
                Id = 159,
                Name = "Croconaw",
                SleepType = "Slumbering",
                Speciality = "Berries"

            });
            modelBuilder.Entity<Pokemon>().HasData(new Pokemon
            {
                Id = 160,
                Name = "Feraligatr",
                SleepType = "Slumbering",
                Speciality = "Berries"

            });
            modelBuilder.Entity<Pokemon>().HasData(new Pokemon
            {
                Id = 172,
                Name = "Pichu",
                SleepType = "Slumbering",
                Speciality = "Berries"

            });
            modelBuilder.Entity<Pokemon>().HasData(new Pokemon
            {
                Id = 173,
                Name = "Cleffa",
                SleepType = "Slumbering",
                Speciality = "Berries"

            });
            modelBuilder.Entity<Pokemon>().HasData(new Pokemon
            {
                Id = 174,
                Name = "Igglybuff",
                SleepType = "Slumbering",
                Speciality = "Skills"

            });
            modelBuilder.Entity<Pokemon>().HasData(new Pokemon
            {
                Id = 175,
                Name = "Togepi",
                SleepType = "Slumbering",
                Speciality = "Skills"

            });
            modelBuilder.Entity<Pokemon>().HasData(new Pokemon
            {
                Id = 176,
                Name = "Togetic",
                SleepType = "Snoozing",
                Speciality = "Skills"

            });
            modelBuilder.Entity<Pokemon>().HasData(new Pokemon
            {
                Id = 179,
                Name = "Mareep",
                SleepType = "Snoozing",
                Speciality = "Skills"

            });
            modelBuilder.Entity<Pokemon>().HasData(new Pokemon
            {
                Id = 180,
                Name = "Flaaffy",
                SleepType = "Snoozing",
                Speciality = "Skills"

            });
            modelBuilder.Entity<Pokemon>().HasData(new Pokemon
            {
                Id = 181,
                Name = "Ampharos",
                SleepType = "Snoozing",
                Speciality = "Skills"

            });
            modelBuilder.Entity<Pokemon>().HasData(new Pokemon
            {
                Id = 185,
                Name = "Sudowoodo",
                SleepType = "Slumbering",
                Speciality = "Skills"

            });
            modelBuilder.Entity<Pokemon>().HasData(new Pokemon
            {
                Id = 194,
                Name = "Wooper",
                SleepType = "Slumbering",
                Speciality = "Ingredients"

            });
            modelBuilder.Entity<Pokemon>().HasData(new Pokemon
            {
                Id = 195,
                Name = "Quagsire",
                SleepType = "Slumbering",
                Speciality = "Ingredients"

            });
            modelBuilder.Entity<Pokemon>().HasData(new Pokemon
            {
                Id = 196,
                Name = "Espeon",
                SleepType = "Snoozing",
                Speciality = "Skills"

            });
            modelBuilder.Entity<Pokemon>().HasData(new Pokemon
            {
                Id = 197,
                Name = "Umbreon",
                SleepType = "Dozing",
                Speciality = "Skills"

            });
            modelBuilder.Entity<Pokemon>().HasData(new Pokemon
            {
                Id = 199,
                Name = "Slowking",
                SleepType = "Snoozing",
                Speciality = "Skills"

            });
            modelBuilder.Entity<Pokemon>().HasData(new Pokemon
            {
                Id = 202,
                Name = "Wobbuffet",
                SleepType = "Snoozing",
                Speciality = "Skills"

            });
            modelBuilder.Entity<Pokemon>().HasData(new Pokemon
            {
                Id = 208,
                Name = "Steelix",
                SleepType = "Slumbering",
                Speciality = "Berries"

            });
            modelBuilder.Entity<Pokemon>().HasData(new Pokemon
            {
                Id = 214,
                Name = "Heracross",
                SleepType = "Dozing",
                Speciality = "Skills"

            });
            modelBuilder.Entity<Pokemon>().HasData(new Pokemon
            {
                Id = 215,
                Name = "Sneasel",
                SleepType = "Dozing",
                Speciality = "Berries"

            });
            modelBuilder.Entity<Pokemon>().HasData(new Pokemon
            {
                Id = 225,
                Name = "Delibird",
                SleepType = "Dozing",
                Speciality = "Ingredients"

            });
            modelBuilder.Entity<Pokemon>().HasData(new Pokemon
            {
                Id = 228,
                Name = "Houndour",
                SleepType = "Dozing",
                Speciality = "Berries"

            });
            modelBuilder.Entity<Pokemon>().HasData(new Pokemon
            {
                Id = 229,
                Name = "Houndoom",
                SleepType = "Dozing",
                Speciality = "Berries"

            });
            modelBuilder.Entity<Pokemon>().HasData(new Pokemon
            {
                Id = 243,
                Name = "Raikou",
                SleepType = "Snoozing",
                Speciality = "Skills"

            });
            modelBuilder.Entity<Pokemon>().HasData(new Pokemon
            {
                Id = 244,
                Name = "Entei",
                SleepType = "Snoozing",
                Speciality = "Skills"

            });
            modelBuilder.Entity<Pokemon>().HasData(new Pokemon
            {
                Id = 245,
                Name = "Suicune",
                SleepType = "Slumbering",
                Speciality = "Skills"

            });
            modelBuilder.Entity<Pokemon>().HasData(new Pokemon
            {
                Id = 246,
                Name = "Larvitar",
                SleepType = "Slumbering",
                Speciality = "Ingredients"

            });
            modelBuilder.Entity<Pokemon>().HasData(new Pokemon
            {
                Id = 247,
                Name = "Pupitar",
                SleepType = "Slumbering",
                Speciality = "Ingredients"

            });
            modelBuilder.Entity<Pokemon>().HasData(new Pokemon
            {
                Id = 248,
                Name = "Tyranitar",
                SleepType = "Dozing",
                Speciality = "Ingredients"

            });
            modelBuilder.Entity<Pokemon>().HasData(new Pokemon
            {
                Id = 280,
                Name = "Ralts",
                SleepType = "Snoozing",
                Speciality = "Skills"

            });
            modelBuilder.Entity<Pokemon>().HasData(new Pokemon
            {
                Id = 281,
                Name = "Kirlia",
                SleepType = "Snoozing",
                Speciality = "Skills"

            });
            modelBuilder.Entity<Pokemon>().HasData(new Pokemon
            {
                Id = 282,
                Name = "Gardevoir",
                SleepType = "Snoozing",
                Speciality = "Skills"

            });
            modelBuilder.Entity<Pokemon>().HasData(new Pokemon
            {
                Id = 287,
                Name = "Slakoth",
                SleepType = "Snoozing",
                Speciality = "Berries"

            });
            modelBuilder.Entity<Pokemon>().HasData(new Pokemon
            {
                Id = 288,
                Name = "Vigoroth",
                SleepType = "Dozing",
                Speciality = "Berries"

            });
            modelBuilder.Entity<Pokemon>().HasData(new Pokemon
            {
                Id = 289,
                Name = "Slaking",
                SleepType = "Snoozing",
                Speciality = "Berries"

            });
            modelBuilder.Entity<Pokemon>().HasData(new Pokemon
            {
                Id = 302,
                Name = "Sableye",
                SleepType = "Dozing",
                Speciality = "Skills"

            });
            modelBuilder.Entity<Pokemon>().HasData(new Pokemon
            {
                Id = 304,
                Name = "Aron",
                SleepType = "Slumbering",
                Speciality = "Ingredients"

            });
            modelBuilder.Entity<Pokemon>().HasData(new Pokemon
            {
                Id = 305,
                Name = "Lairon",
                SleepType = "Slumbering",
                Speciality = "Ingredients"

            });
            modelBuilder.Entity<Pokemon>().HasData(new Pokemon
            {
                Id = 306,
                Name = "Aggron",
                SleepType = "Slumbering",
                Speciality = "Ingredients"

            });
            modelBuilder.Entity<Pokemon>().HasData(new Pokemon
            {
                Id = 316,
                Name = "Gulpin",
                SleepType = "Dozing",
                Speciality = "Skills"

            });
            modelBuilder.Entity<Pokemon>().HasData(new Pokemon
            {
                Id = 317,
                Name = "Swalot",
                SleepType = "Dozing",
                Speciality = "Skills"

            });
            modelBuilder.Entity<Pokemon>().HasData(new Pokemon
            {
                Id = 333,
                Name = "Swablu",
                SleepType = "Slumbering",
                Speciality = "Berries"

            });
            modelBuilder.Entity<Pokemon>().HasData(new Pokemon
            {
                Id = 334,
                Name = "Altaria",
                SleepType = "Dozing",
                Speciality = "Berries"

            });
            modelBuilder.Entity<Pokemon>().HasData(new Pokemon
            {
                Id = 353,
                Name = "Shuppet",
                SleepType = "Dozing",
                Speciality = "Berries"

            });
            modelBuilder.Entity<Pokemon>().HasData(new Pokemon
            {
                Id = 354,
                Name = "Banette",
                SleepType = "Dozing",
                Speciality = "Berries"

            });
            modelBuilder.Entity<Pokemon>().HasData(new Pokemon
            {
                Id = 359,
                Name = "Absol",
                SleepType = "Dozing",
                Speciality = "Ingredients"

            });
            modelBuilder.Entity<Pokemon>().HasData(new Pokemon
            {
                Id = 360,
                Name = "Wynaut",
                SleepType = "Slumbering",
                Speciality = "Skills"

            });
            modelBuilder.Entity<Pokemon>().HasData(new Pokemon
            {
                Id = 363,
                Name = "Spheal",
                SleepType = "Slumbering",
                Speciality = "Berries"

            });
            modelBuilder.Entity<Pokemon>().HasData(new Pokemon
            {
                Id = 364,
                Name = "Sealeo",
                SleepType = "Slumbering",
                Speciality = "Berries"

            });
            modelBuilder.Entity<Pokemon>().HasData(new Pokemon
            {
                Id = 365,
                Name = "Walrein",
                SleepType = "Slumbering",
                Speciality = "Berries"

            });
            modelBuilder.Entity<Pokemon>().HasData(new Pokemon
            {
                Id = 403,
                Name = "Shinx",
                SleepType = "Snoozing",
                Speciality = "Ingredients"

            });
            modelBuilder.Entity<Pokemon>().HasData(new Pokemon
            {
                Id = 404,
                Name = "Luxio",
                SleepType = "Snoozing",
                Speciality = "Ingredients"

            });
            modelBuilder.Entity<Pokemon>().HasData(new Pokemon
            {
                Id = 405,
                Name = "Luxray",
                SleepType = "Snoozing",
                Speciality = "Ingredients"

            });
            modelBuilder.Entity<Pokemon>().HasData(new Pokemon
            {
                Id = 425,
                Name = "Drifloon",
                SleepType = "Dozing",
                Speciality = "Skills"

            });
            modelBuilder.Entity<Pokemon>().HasData(new Pokemon
            {
                Id = 426,
                Name = "Drifblim",
                SleepType = "Dozing",
                Speciality = "Skills"

            });
            modelBuilder.Entity<Pokemon>().HasData(new Pokemon
            {
                Id = 438,
                Name = "Bonsly",
                SleepType = "Slumbering",
                Speciality = "Skills"

            });
            modelBuilder.Entity<Pokemon>().HasData(new Pokemon
            {
                Id = 439,
                Name = "Mime Jr.",
                SleepType = "Slumbering",
                Speciality = "Ingredients"

            });
            modelBuilder.Entity<Pokemon>().HasData(new Pokemon
            {
                Id = 447,
                Name = "Riolu",
                SleepType = "Slumbering",
                Speciality = "Skills"

            });
            modelBuilder.Entity<Pokemon>().HasData(new Pokemon
            {
                Id = 448,
                Name = "Lucario",
                SleepType = "Slumbering",
                Speciality = "Skills"

            });
            modelBuilder.Entity<Pokemon>().HasData(new Pokemon
            {
                Id = 453,
                Name = "Croagunk",
                SleepType = "Dozing",
                Speciality = "Ingredients"

            });
            modelBuilder.Entity<Pokemon>().HasData(new Pokemon
            {
                Id = 454,
                Name = "Toxicroak",
                SleepType = "Dozing",
                Speciality = "Ingredients"

            });
            modelBuilder.Entity<Pokemon>().HasData(new Pokemon
            {
                Id = 459,
                Name = "Snover",
                SleepType = "Slumbering",
                Speciality = "Ingredients"

            });
            modelBuilder.Entity<Pokemon>().HasData(new Pokemon
            {
                Id = 460,
                Name = "Abomasnow",
                SleepType = "Slumbering",
                Speciality = "Ingredients"

            });
            modelBuilder.Entity<Pokemon>().HasData(new Pokemon
            {
                Id = 461,
                Name = "Weavile",
                SleepType = "Dozing",
                Speciality = "Berries"

            });
            modelBuilder.Entity<Pokemon>().HasData(new Pokemon
            {
                Id = 462,
                Name = "Magnezone",
                SleepType = "Slumbering",
                Speciality = "Skills"

            });
            modelBuilder.Entity<Pokemon>().HasData(new Pokemon
            {
                Id = 468,
                Name = "Togekiss",
                SleepType = "Snoozing",
                Speciality = "Skills"

            });
            modelBuilder.Entity<Pokemon>().HasData(new Pokemon
            {
                Id = 470,
                Name = "Leafeon",
                SleepType = "Dozing",
                Speciality = "Skills"

            });
            modelBuilder.Entity<Pokemon>().HasData(new Pokemon
            {
                Id = 471,
                Name = "Glaceon",
                SleepType = "Slumbering",
                Speciality = "Skills"

            });
            modelBuilder.Entity<Pokemon>().HasData(new Pokemon
            {
                Id = 475,
                Name = "Gallade",
                SleepType = "Slumbering",
                Speciality = "Skills"

            });
            modelBuilder.Entity<Pokemon>().HasData(new Pokemon
            {
                Id = 700,
                Name = "Sylveon",
                SleepType = "Snoozing",
                Speciality = "Skills"

            });
            modelBuilder.Entity<Pokemon>().HasData(new Pokemon
            {
                Id = 702,
                Name = "Dedenne",
                SleepType = "Snoozing",
                Speciality = "Skills"

            });
            modelBuilder.Entity<Pokemon>().HasData(new Pokemon
            {
                Id = 736,
                Name = "Grubbin",
                SleepType = "Dozing",
                Speciality = "Ingredients"

            });
            modelBuilder.Entity<Pokemon>().HasData(new Pokemon
            {
                Id = 737,
                Name = "Charjabug",
                SleepType = "Dozing",
                Speciality = "Ingredients"

            });
            modelBuilder.Entity<Pokemon>().HasData(new Pokemon
            {
                Id = 738,
                Name = "Vikavolt",
                SleepType = "Dozing",
                Speciality = "Ingredients"

            });
            modelBuilder.Entity<Pokemon>().HasData(new Pokemon
            {
                Id = 759,
                Name = "Stufful",
                SleepType = "Slumbering",
                Speciality = "Ingredients"

            });
            modelBuilder.Entity<Pokemon>().HasData(new Pokemon
            {
                Id = 760,
                Name = "Bewear",
                SleepType = "Slumbering",
                Speciality = "Ingredients"

            });
            modelBuilder.Entity<Pokemon>().HasData(new Pokemon
            {
                Id = 764,
                Name = "Comfey",
                SleepType = "Snoozing",
                Speciality = "Ingredients"

            });
            modelBuilder.Entity<Pokemon>().HasData(new Pokemon
            {
                Id = 778,
                Name = "Mimikyu",
                SleepType = "Dozing",
                Speciality = "Skills"

            });
            modelBuilder.Entity<Pokemon>().HasData(new Pokemon
            {
                Id = 845,
                Name = "Cramorant",
                SleepType = "Slumbering",
                Speciality = "Ingredients"

            });
            modelBuilder.Entity<Pokemon>().HasData(new Pokemon
            {
                Id = 906,
                Name = "Sprigatito",
                SleepType = "Dozing",
                Speciality = "Ingredients"

            });
            modelBuilder.Entity<Pokemon>().HasData(new Pokemon
            {
                Id = 907,
                Name = "Floragato",
                SleepType = "Dozing",
                Speciality = "Ingredients"

            });
            modelBuilder.Entity<Pokemon>().HasData(new Pokemon
            {
                Id = 908,
                Name = "Meowscarada",
                SleepType = "Dozing",
                Speciality = "Ingredients"

            });
            modelBuilder.Entity<Pokemon>().HasData(new Pokemon
            {
                Id = 909,
                Name = "Fuecoco",
                SleepType = "Snoozing",
                Speciality = "Ingredients"

            });
            modelBuilder.Entity<Pokemon>().HasData(new Pokemon
            {
                Id = 910,
                Name = "Crocalor",
                SleepType = "Snoozing",
                Speciality = "Ingredients"

            });
            modelBuilder.Entity<Pokemon>().HasData(new Pokemon
            {
                Id = 911,
                Name = "Skeledirge",
                SleepType = "Snoozing",
                Speciality = "Ingredients"

            });
            modelBuilder.Entity<Pokemon>().HasData(new Pokemon
            {
                Id = 912,
                Name = "Quaxly",
                SleepType = "Slumbering",
                Speciality = "Ingredients"

            });
            modelBuilder.Entity<Pokemon>().HasData(new Pokemon
            {
                Id = 913,
                Name = "Quaxwell",
                SleepType = "Slumbering",
                Speciality = "Ingredients"

            });
            modelBuilder.Entity<Pokemon>().HasData(new Pokemon
            {
                Id = 914,
                Name = "Quaquaval",
                SleepType = "Slumbering",
                Speciality = "Ingredients"
            });


            // Natures
            modelBuilder.Entity<PokemonNature>().HasData(new PokemonNature
            {
                Id = 1,
                Nature = "Lonely",
                BerryRating = 2,
                IngredientRating = 2,
                SkillRating = 1
            });
            modelBuilder.Entity<PokemonNature>().HasData(new PokemonNature
            {
                Id = 2,
                Nature = "Adamant",
                BerryRating = 3,
                IngredientRating = 0,
                SkillRating = 0
            });
            modelBuilder.Entity<PokemonNature>().HasData(new PokemonNature
            {
                Id = 3,
                Nature = "Naughty",
                BerryRating = 1,
                IngredientRating = 1,
                SkillRating = -1
            });
            modelBuilder.Entity<PokemonNature>().HasData(new PokemonNature
            {
                Id = 4,
                Nature = "Brave",
                BerryRating = 1,
                IngredientRating = 1,
                SkillRating = 1
            });
            modelBuilder.Entity<PokemonNature>().HasData(new PokemonNature
            {
                Id = 5,
                Nature = "Bold",
                BerryRating = -2,
                IngredientRating = -2,
                SkillRating = -1
            });
            modelBuilder.Entity<PokemonNature>().HasData(new PokemonNature
            {
                Id = 6,
                Nature = "Impish",
                BerryRating = 1,
                IngredientRating = -2,
                SkillRating = -1
            });
            modelBuilder.Entity<PokemonNature>().HasData(new PokemonNature
            {
                Id = 7,
                Nature = "Lax",
                BerryRating = -1,
                IngredientRating = -1,
                SkillRating = -2
            });
            modelBuilder.Entity<PokemonNature>().HasData(new PokemonNature
            {
                Id = 8,
                Nature = "Relaxed",
                BerryRating = -1,
                IngredientRating = -1,
                SkillRating = 0
            });
            modelBuilder.Entity<PokemonNature>().HasData(new PokemonNature
            {
                Id = 9,
                Nature = "Modest",
                BerryRating = -3,
                IngredientRating = 0,
                SkillRating = 0
            });
            modelBuilder.Entity<PokemonNature>().HasData(new PokemonNature
            {
                Id = 10,
                Nature = "Mild",
                BerryRating = -1,
                IngredientRating = 2,
                SkillRating = 1
            });
            modelBuilder.Entity<PokemonNature>().HasData(new PokemonNature
            {
                Id = 11,
                Nature = "Rash",
                BerryRating = -2,
                IngredientRating = 1,
                SkillRating = -1
            });
            modelBuilder.Entity<PokemonNature>().HasData(new PokemonNature
            {
                Id = 12,
                Nature = "Quiet",
                BerryRating = -2,
                IngredientRating = 1,
                SkillRating = 1
            });
            modelBuilder.Entity<PokemonNature>().HasData(new PokemonNature
            {
                Id = 13,
                Nature = "Calm",
                BerryRating = -1,
                IngredientRating = -1,
                SkillRating = 1
            });
            modelBuilder.Entity<PokemonNature>().HasData(new PokemonNature
            {
                Id = 14,
                Nature = "Gentle",
                BerryRating = 1,
                IngredientRating = 1,
                SkillRating = 2
            });
            modelBuilder.Entity<PokemonNature>().HasData(new PokemonNature
            {
                Id = 15,
                Nature = "Careful",
                BerryRating = 2,
                IngredientRating = -1,
                SkillRating = 1
            });
            modelBuilder.Entity<PokemonNature>().HasData(new PokemonNature
            {
                Id = 16,
                Nature = "Sassy",
                BerryRating = 0,
                IngredientRating = 0,
                SkillRating = 2
            });
            modelBuilder.Entity<PokemonNature>().HasData(new PokemonNature
            {
                Id = 17,
                Nature = "Timid",
                BerryRating = -1,
                IngredientRating = -1,
                SkillRating = -1
            });
            modelBuilder.Entity<PokemonNature>().HasData(new PokemonNature
            {
                Id = 18,
                Nature = "Hasty",
                BerryRating = 1,
                IngredientRating = 1,
                SkillRating = 0
            });
            modelBuilder.Entity<PokemonNature>().HasData(new PokemonNature
            {
                Id = 19,
                Nature = "Jolly",
                BerryRating = 2,
                IngredientRating = -1,
                SkillRating = -1
            });
            modelBuilder.Entity<PokemonNature>().HasData(new PokemonNature
            {
                Id = 20,
                Nature = "Naive",
                BerryRating = 0,
                IngredientRating = 0,
                SkillRating = -2
            });
            modelBuilder.Entity<PokemonNature>().HasData(new PokemonNature
            {
                Id = 21,
                Nature = "Bashful",
                BerryRating = 0,
                IngredientRating = 0,
                SkillRating = 0
            });
            modelBuilder.Entity<PokemonNature>().HasData(new PokemonNature
            {
                Id = 22,
                Nature = "Hardy",
                BerryRating = 0,
                IngredientRating = 0,
                SkillRating = 0
            });
            modelBuilder.Entity<PokemonNature>().HasData(new PokemonNature
            {
                Id = 23,
                Nature = "Docile",
                BerryRating = 0,
                IngredientRating = 0,
                SkillRating = 0
            });
            modelBuilder.Entity<PokemonNature>().HasData(new PokemonNature
            {
                Id = 24,
                Nature = "Quirky",
                BerryRating = 0,
                IngredientRating = 0,
                SkillRating = 0
            });
            modelBuilder.Entity<PokemonNature>().HasData(new PokemonNature
            {
                Id = 25,
                Nature = "Serious",
                BerryRating = 0,
                IngredientRating = 0,
                SkillRating = 0
            });


            // Subskills
            modelBuilder.Entity<PokemonSubskill>().HasData(new PokemonSubskill
            {
                Id = 1,
                SubSkill = "Berry Finding S",
                BerryRank = 2,
                IngredientRank = 1,
                SkillRank = 2
            });
            modelBuilder.Entity<PokemonSubskill>().HasData(new PokemonSubskill
            {
                Id = 2,
                SubSkill = "Helping Speed S",
                BerryRank = 0,
                IngredientRank = 0,
                SkillRank = 0
            });
            modelBuilder.Entity<PokemonSubskill>().HasData(new PokemonSubskill
            {
                Id = 3,
                SubSkill = "Helping Speed M",
                BerryRank = 1,
                IngredientRank = 1,
                SkillRank = 1
            });
            modelBuilder.Entity<PokemonSubskill>().HasData(new PokemonSubskill
            {
                Id = 4,
                SubSkill = "Ingredient Finder S",
                BerryRank = -2,
                IngredientRank = 1,
                SkillRank = 0
            });
            modelBuilder.Entity<PokemonSubskill>().HasData(new PokemonSubskill
            {
                Id = 5,
                SubSkill = "Ingredient Finder M",
                BerryRank = -2,
                IngredientRank = 2,
                SkillRank = 1
            });
            modelBuilder.Entity<PokemonSubskill>().HasData(new PokemonSubskill
            {
                Id = 6,
                SubSkill = "Inventory Up S",
                BerryRank = -1,
                IngredientRank = 0,
                SkillRank = -1
            });
            modelBuilder.Entity<PokemonSubskill>().HasData(new PokemonSubskill
            {
                Id = 7,
                SubSkill = "Inventory Up M",
                BerryRank = 0,
                IngredientRank = 1,
                SkillRank = 0
            });
            modelBuilder.Entity<PokemonSubskill>().HasData(new PokemonSubskill
            {
                Id = 8,
                SubSkill = "Inventory Up L",
                BerryRank = 1,
                IngredientRank = 2,
                SkillRank = 1
            });
            modelBuilder.Entity<PokemonSubskill>().HasData(new PokemonSubskill
            {
                Id = 9,
                SubSkill = "Skill Level Up S",
                BerryRank = 0,
                IngredientRank = 0,
                SkillRank = 1
            });
            modelBuilder.Entity<PokemonSubskill>().HasData(new PokemonSubskill
            {
                Id = 10,
                SubSkill = "Skill Level Up M",
                BerryRank = 1,
                IngredientRank = 1,
                SkillRank = 2
            });
            modelBuilder.Entity<PokemonSubskill>().HasData(new PokemonSubskill
            {
                Id = 11,
                SubSkill = "Skill Trigger S",
                BerryRank = 0,
                IngredientRank = 0,
                SkillRank = 1
            });
            modelBuilder.Entity<PokemonSubskill>().HasData(new PokemonSubskill
            {
                Id = 12,
                SubSkill = "Skill Trigger M",
                BerryRank = 1,
                IngredientRank = 1,
                SkillRank = 2
            });
            modelBuilder.Entity<PokemonSubskill>().HasData(new PokemonSubskill
            {
                Id = 13,
                SubSkill = "Dream Shard Bonus",
                BerryRank = -1,
                IngredientRank = -1,
                SkillRank = -1
            });
            modelBuilder.Entity<PokemonSubskill>().HasData(new PokemonSubskill
            {
                Id = 14,
                SubSkill = "Energy Recovery Bonus",
                BerryRank = 0,
                IngredientRank = 0,
                SkillRank = 0
            });
            modelBuilder.Entity<PokemonSubskill>().HasData(new PokemonSubskill
            {
                Id = 15,
                SubSkill = "Helping Bonus",
                BerryRank = 2,
                IngredientRank = 2,
                SkillRank = 2
            });
            modelBuilder.Entity<PokemonSubskill>().HasData(new PokemonSubskill
            {
                Id = 16,
                SubSkill = "Research EXP Bonus",
                BerryRank = -1,
                IngredientRank = -1,
                SkillRank = -1
            });
            modelBuilder.Entity<PokemonSubskill>().HasData(new PokemonSubskill
            {
                Id = 17,
                SubSkill = "Sleep EXP Bonus",
                BerryRank = 0,
                IngredientRank = 0,
                SkillRank = 0
            });

        }


    }
    }
