﻿using Microsoft.EntityFrameworkCore.Migrations;

#nullable disable

#pragma warning disable CA1814 // Prefer jagged arrays over multidimensional

namespace PokemonSleepAPI.Migrations
{
    /// <inheritdoc />
    public partial class InitialCreateWithAvailablePokemon : Migration
    {
        /// <inheritdoc />
        protected override void Up(MigrationBuilder migrationBuilder)
        {
            migrationBuilder.CreateTable(
                name: "Pokemons",
                columns: table => new
                {
                    Id = table.Column<int>(type: "int", nullable: false)
                        .Annotation("SqlServer:Identity", "1, 1"),
                    Name = table.Column<string>(type: "nvarchar(max)", nullable: false),
                    SleepType = table.Column<string>(type: "nvarchar(max)", nullable: false),
                    Speciality = table.Column<string>(type: "nvarchar(max)", nullable: false)
                },
                constraints: table =>
                {
                    table.PrimaryKey("PK_Pokemons", x => x.Id);
                });

            migrationBuilder.InsertData(
                table: "Pokemons",
                columns: new[] { "Id", "Name", "SleepType", "Speciality" },
                values: new object[,]
                {
                    { 1, "Bulbasaur", "Dozing", "Ingredients" },
                    { 2, "Ivysaur", "Dozing", "Ingredients" },
                    { 3, "Venasaur", "Dozing", "Ingredients" },
                    { 4, "Charmander", "Snoozing", "Ingredients" },
                    { 5, "Charmeleon", "Snoozing", "Ingredients" },
                    { 6, "Charizard", "Snoozing", "Ingredients" },
                    { 7, "Squirtle", "Slumbering", "Ingredients" },
                    { 8, "Wartortle", "Slumbering", "Ingredients" },
                    { 9, "Blastoise", "Slumbering", "Ingredients" },
                    { 10, "Caterpie", "Dozing", "Berries" },
                    { 11, "Metapod", "Dozing", "Berries" },
                    { 12, "Butterfree", "Dozing", "Berries" },
                    { 19, "Rattata", "Snoozing", "Berries" },
                    { 20, "Raticate", "Snoozing", "Berries" },
                    { 23, "Ekans", "Dozing", "Berries" },
                    { 24, "Arbok", "Dozing", "Berries" },
                    { 25, "Pikachu", "Snoozing", "Berries" },
                    { 26, "Raticate", "Snoozing", "Berries" },
                    { 35, "Clefairy", "Snoozing", "Berries" },
                    { 36, "Clefable", "Snoozing", "Berries" },
                    { 37, "Vulpix", "Snoozing", "Berries" },
                    { 38, "Ninetails", "Snoozing", "Berries" },
                    { 39, "Jigglypuff", "Snoozing", "Skills" },
                    { 40, "Wigglytuff", "Snoozing", "Skills" },
                    { 50, "Diglett", "Snoozing", "Ingredients" },
                    { 51, "Dugtrio", "Snoozing", "Ingredients" },
                    { 52, "Meowth", "Snoozing", "Skills" },
                    { 53, "Persian", "Snoozing", "Skills" },
                    { 54, "Psyduck", "Dozing", "Skills" },
                    { 55, "Golduck", "Slumbering", "Skills" },
                    { 56, "Mankey", "Dozing", "Berries" },
                    { 57, "Primeape", "Dozing", "Berries" },
                    { 58, "Growlithe", "Snoozing", "Skills" },
                    { 59, "Arcanine", "Snoozing", "Skills" },
                    { 69, "Bellsprout", "Dozing", "Ingredients" },
                    { 70, "Weepinbell", "Dozing", "Ingredients" },
                    { 71, "Victreebel", "Dozing", "Ingredients" },
                    { 74, "Geodude", "Slumbering", "Ingredients" },
                    { 75, "Graveler", "Slumbering", "Ingredients" },
                    { 76, "Golem", "Slumbering", "Ingredients" },
                    { 79, "Slowpoke", "Snoozing", "Skills" },
                    { 80, "Slowbro", "Snoozing", "Skills" },
                    { 81, "Magnemite", "Slumbering", "Skills" },
                    { 82, "Magneton", "Slumbering", "Skills" },
                    { 84, "Doduo", "Slumbering", "Berries" },
                    { 85, "Dodrio", "Slumbering", "Berries" },
                    { 92, "Gastly", "Dozing", "Ingredients" },
                    { 93, "Haunter", "Dozing", "Ingredients" },
                    { 94, "Gengar", "Dozing", "Ingredients" },
                    { 95, "Onix", "Slumbering", "Berries" },
                    { 104, "Cubone", "Slumbering", "Berries" },
                    { 105, "Marowak", "Slumbering", "Berries" },
                    { 122, "Mr. Mime", "Snoozing", "Ingredients" },
                    { 127, "Pinsir", "Dozing", "Ingredients" },
                    { 132, "Ditto", "Snoozing", "Ingredients" },
                    { 133, "Eevee", "Snoozing", "Skills" },
                    { 134, "Vaporeon", "Slumbering", "Skills" },
                    { 135, "Jolteon", "Snoozing", "Skills" },
                    { 136, "Flareon", "Snoozing", "Skills" },
                    { 147, "Dratini", "Dozing", "Ingredients" },
                    { 148, "Dragonair", "Dozing", "Ingredients" },
                    { 149, "Dragonite", "Dozing", "Ingredients" },
                    { 152, "Chikorita", "Dozing", "Berries" },
                    { 153, "Bayleaf", "Dozing", "Berries" },
                    { 154, "Meganium", "Dozing", "Berries" },
                    { 155, "Cyndaquil", "Snoozing", "Berries" },
                    { 156, "Quilava", "Snoozing", "Berries" },
                    { 157, "Typhlosion", "Snoozing", "Berries" },
                    { 158, "Totodile", "Slumbering", "Berries" },
                    { 159, "Croconaw", "Slumbering", "Berries" },
                    { 160, "Feraligatr", "Slumbering", "Berries" },
                    { 172, "Pichu", "Slumbering", "Berries" },
                    { 173, "Cleffa", "Slumbering", "Berries" },
                    { 174, "Igglybuff", "Slumbering", "Skills" },
                    { 175, "Togepi", "Slumbering", "Skills" },
                    { 176, "Togetic", "Snoozing", "Skills" },
                    { 179, "Mareep", "Snoozing", "Skills" },
                    { 180, "Flaaffy", "Snoozing", "Skills" },
                    { 181, "Ampharos", "Snoozing", "Skills" },
                    { 185, "Sudowoodo", "Slumbering", "Skills" },
                    { 194, "Wooper", "Slumbering", "Ingredients" },
                    { 195, "Quagsire", "Slumbering", "Ingredients" },
                    { 196, "Espeon", "Snoozing", "Skills" },
                    { 197, "Umbreon", "Dozing", "Skills" },
                    { 199, "Slowking", "Snoozing", "Skills" },
                    { 202, "Wobbuffet", "Snoozing", "Skills" },
                    { 208, "Steelix", "Slumbering", "Berries" },
                    { 214, "Heracross", "Dozing", "Skills" },
                    { 215, "Sneasel", "Dozing", "Berries" },
                    { 225, "Delibird", "Dozing", "Ingredients" },
                    { 228, "Houndour", "Dozing", "Berries" },
                    { 229, "Houndoom", "Dozing", "Berries" },
                    { 243, "Raikou", "Snoozing", "Skills" },
                    { 244, "Entei", "Snoozing", "Skills" },
                    { 245, "Suicune", "Slumbering", "Skills" },
                    { 246, "Larvitar", "Slumbering", "Ingredients" },
                    { 247, "Pupitar", "Slumbering", "Ingredients" },
                    { 248, "Tyranitar", "Dozing", "Ingredients" },
                    { 280, "Ralts", "Snoozing", "Skills" },
                    { 281, "Kirlia", "Snoozing", "Skills" },
                    { 282, "Gardevoir", "Snoozing", "Skills" },
                    { 287, "Slakoth", "Snoozing", "Berries" },
                    { 288, "Vigoroth", "Dozing", "Berries" },
                    { 289, "Slaking", "Snoozing", "Berries" },
                    { 302, "Sableye", "Dozing", "Skills" },
                    { 304, "Aron", "Slumbering", "Ingredients" },
                    { 305, "Lairon", "Slumbering", "Ingredients" },
                    { 306, "Aggron", "Slumbering", "Ingredients" },
                    { 316, "Gulpin", "Dozing", "Skills" },
                    { 317, "Swalot", "Dozing", "Skills" },
                    { 333, "Swablu", "Slumbering", "Berries" },
                    { 334, "Altaria", "Dozing", "Berries" },
                    { 353, "Shuppet", "Dozing", "Berries" },
                    { 354, "Banette", "Dozing", "Berries" },
                    { 359, "Absol", "Dozing", "Ingredients" },
                    { 360, "Wynaut", "Slumbering", "Skills" },
                    { 363, "Spheal", "Slumbering", "Berries" },
                    { 364, "Sealeo", "Slumbering", "Berries" },
                    { 365, "Walrein", "Slumbering", "Berries" },
                    { 403, "Shinx", "Snoozing", "Ingredients" },
                    { 404, "Luxio", "Snoozing", "Ingredients" },
                    { 405, "Luxray", "Snoozing", "Ingredients" },
                    { 425, "Drifloon", "Dozing", "Skills" },
                    { 426, "Drifblim", "Dozing", "Skills" },
                    { 438, "Bonsly", "Slumbering", "Skills" },
                    { 439, "Mime Jr.", "Slumbering", "Ingredients" },
                    { 447, "Riolu", "Slumbering", "Skills" },
                    { 448, "Lucario", "Slumbering", "Skills" },
                    { 453, "Croagunk", "Dozing", "Ingredients" },
                    { 454, "Toxicroak", "Dozing", "Ingredients" },
                    { 459, "Snover", "Slumbering", "Ingredients" },
                    { 460, "Abomasnow", "Slumbering", "Ingredients" },
                    { 461, "Weavile", "Dozing", "Berries" },
                    { 462, "Magnezone", "Slumbering", "Skills" },
                    { 468, "Togekiss", "Snoozing", "Skills" },
                    { 470, "Leafeon", "Dozing", "Skills" },
                    { 471, "Glaceon", "Slumbering", "Skills" },
                    { 475, "Gallade", "Slumbering", "Skills" },
                    { 700, "Sylveon", "Snoozing", "Skills" },
                    { 702, "Dedenne", "Snoozing", "Skills" },
                    { 736, "Grubbin", "Dozing", "Ingredients" },
                    { 737, "Charjabug", "Dozing", "Ingredients" },
                    { 738, "Vikavolt", "Dozing", "Ingredients" },
                    { 759, "Stufful", "Slumbering", "Ingredients" },
                    { 760, "Bewear", "Slumbering", "Ingredients" },
                    { 764, "Comfey", "Snoozing", "Ingredients" },
                    { 778, "Mimikyu", "Dozing", "Skills" },
                    { 845, "Cramorant", "Slumbering", "Ingredients" },
                    { 906, "Sprigatito", "Dozing", "Ingredients" },
                    { 907, "Floragato", "Dozing", "Ingredients" },
                    { 908, "Meowscarada", "Dozing", "Ingredients" },
                    { 909, "Fuecoco", "Snoozing", "Ingredients" },
                    { 910, "Crocalor", "Snoozing", "Ingredients" },
                    { 911, "Skeledirge", "Snoozing", "Ingredients" },
                    { 912, "Quaxly", "Slumbering", "Ingredients" },
                    { 913, "Quaxwell", "Slumbering", "Ingredients" },
                    { 914, "Quaquaval", "Slumbering", "Ingredients" }
                });
        }

        /// <inheritdoc />
        protected override void Down(MigrationBuilder migrationBuilder)
        {
            migrationBuilder.DropTable(
                name: "Pokemons");
        }
    }
}
