﻿using Microsoft.EntityFrameworkCore.Migrations;

#nullable disable

#pragma warning disable CA1814 // Prefer jagged arrays over multidimensional

namespace PokemonSleepAPI.Migrations
{
    /// <inheritdoc />
    public partial class AddPokemonSubskillsWithRankings : Migration
    {
        /// <inheritdoc />
        protected override void Up(MigrationBuilder migrationBuilder)
        {
            migrationBuilder.CreateTable(
                name: "PokemonSubskills",
                columns: table => new
                {
                    Id = table.Column<int>(type: "int", nullable: false)
                        .Annotation("SqlServer:Identity", "1, 1"),
                    SubSkill = table.Column<string>(type: "nvarchar(max)", nullable: false),
                    BerryRank = table.Column<int>(type: "int", nullable: false),
                    IngredientRank = table.Column<int>(type: "int", nullable: false),
                    SkillRank = table.Column<int>(type: "int", nullable: false)
                },
                constraints: table =>
                {
                    table.PrimaryKey("PK_PokemonSubskills", x => x.Id);
                });

            migrationBuilder.InsertData(
                table: "PokemonSubskills",
                columns: new[] { "Id", "BerryRank", "IngredientRank", "SkillRank", "SubSkill" },
                values: new object[,]
                {
                    { 1, 2, 1, 2, "Berry Finding S" },
                    { 2, 0, 0, 0, "Helping Speed S" },
                    { 3, 1, 1, 1, "Helping Speed M" },
                    { 4, -2, 1, 0, "Ingredient Finder S" },
                    { 5, -2, 2, 1, "Ingredient Finder M" },
                    { 6, -1, 0, -1, "Inventory Up S" },
                    { 7, 0, 1, 0, "Inventory Up M" },
                    { 8, 1, 2, 1, "Inventory Up L" },
                    { 9, 0, 0, 1, "Skill Level Up S" },
                    { 10, 1, 1, 2, "Skill Level Up M" },
                    { 11, 0, 0, 1, "Skill Trigger S" },
                    { 12, 1, 1, 2, "Skill Trigger M" },
                    { 13, -1, -1, -1, "Dream Shard Bonus" },
                    { 14, 0, 0, 0, "Energy Recovery Bonus" },
                    { 15, 2, 2, 2, "Helping Bonus" },
                    { 16, -1, -1, -1, "Research EXP Bonus" },
                    { 17, 0, 0, 0, "Sleep EXP Bonus" }
                });
        }

        /// <inheritdoc />
        protected override void Down(MigrationBuilder migrationBuilder)
        {
            migrationBuilder.DropTable(
                name: "PokemonSubskills");
        }
    }
}
